Debian Bug report logs - #651223
gtk2-engines-murrine: add multiarch support

version graph

Package: gtk2-engines-murrine; Maintainer for gtk2-engines-murrine is Yves-Alexis Perez <corsac@debian.org>; Source for gtk2-engines-murrine is src:gtk2-engines-murrine.

Reported by: Vagrant Cascadian <vagrant@debian.org>

Date: Tue, 6 Dec 2011 20:51:01 UTC

Severity: wishlist

Tags: patch

Found in version gtk2-engines-murrine/0.98.1.1-3

Fixed in versions gtk2-engines-murrine/0.98.1.1-4, gtk2-engines-murrine/0.98.1.1-5

Done: Yves-Alexis Perez <corsac@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Yves-Alexis Perez <corsac@debian.org>:
Bug#651223; Package gtk2-engines-murrine. (Tue, 06 Dec 2011 20:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@debian.org>:
New Bug report received and forwarded. Copy sent to Yves-Alexis Perez <corsac@debian.org>. (Tue, 06 Dec 2011 20:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gtk2-engines-murrine: add multiarch support
Date: Tue, 6 Dec 2011 12:46:34 -0800
Package: gtk2-engines-murrine
Version: 0.98.1.1-3
Severity: wishlist
Tags: patch

The following patch should add multiarch support. please consider applying it.
i could add a slightly more complicated patch that doesn't require switching to 
dh9, if that's preferable.

thanks!


live well,
  vagrant

diff -Nru gtk2-engines-murrine-0.98.1.1/debian/compat gtk2-engines-murrine-0.98.1.1/debian/compat
--- gtk2-engines-murrine-0.98.1.1/debian/compat	2011-08-14 06:43:45.000000000 -0700
+++ gtk2-engines-murrine-0.98.1.1/debian/compat	2011-12-05 17:30:16.000000000 -0800
@@ -1 +1 @@
-7
+9
diff -Nru gtk2-engines-murrine-0.98.1.1/debian/control gtk2-engines-murrine-0.98.1.1/debian/control
--- gtk2-engines-murrine-0.98.1.1/debian/control	2011-09-05 01:26:37.000000000 -0700
+++ gtk2-engines-murrine-0.98.1.1/debian/control	2011-12-05 17:34:21.000000000 -0800
@@ -2,11 +2,13 @@
 Section: x11
 Priority: optional
 Maintainer: Yves-Alexis Perez <corsac@debian.org>
-Build-Depends: debhelper (>= 7.0.50), libgtk2.0-dev (>= 2.10.1), intltool, dh-autoreconf, hardening-includes
+Build-Depends: debhelper (>= 8.1.3~), libgtk2.0-dev (>= 2.10.1), intltool, dh-autoreconf, hardening-includes
 Standards-Version: 3.9.2
 
 Package: gtk2-engines-murrine
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: murrine-themes (>= 0.98)
 Description: cairo-based gtk+-2.0 theme engine
diff -Nru gtk2-engines-murrine-0.98.1.1/debian/rules gtk2-engines-murrine-0.98.1.1/debian/rules
--- gtk2-engines-murrine-0.98.1.1/debian/rules	2011-08-14 06:43:45.000000000 -0700
+++ gtk2-engines-murrine-0.98.1.1/debian/rules	2011-12-06 12:12:52.000000000 -0800
@@ -12,9 +12,9 @@
 	dh_auto_configure -- --prefix=/usr --enable-animation
 
 override_dh_shlibdeps:
-	rm -f debian/gtk2-engines-murrine/usr/lib/gtk-2.0/2.10.0/engines/libmurrine.la 
+	rm -f debian/gtk2-engines-murrine/usr/lib/*/gtk-2.0/2.10.0/engines/libmurrine.la
 	dh_gtkmodules
 	dh_shlibdeps
 
 %:
-	dh --with autoreconf $@
+	dh $@ --with autoreconf




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#651223; Package gtk2-engines-murrine. (Tue, 06 Dec 2011 21:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. (Tue, 06 Dec 2011 21:24:09 GMT) Full text and rfc822 format available.

Message #10 received at 651223@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Vagrant Cascadian <vagrant@debian.org>, 651223@bugs.debian.org
Subject: Re: Bug#651223: gtk2-engines-murrine: add multiarch support
Date: Tue, 06 Dec 2011 22:22:54 +0100
[Message part 1 (text/plain, inline)]
On mar., 2011-12-06 at 12:46 -0800, Vagrant Cascadian wrote:
> The following patch should add multiarch support. please consider applying it.
> i could add a slightly more complicated patch that doesn't require switching to 
> dh9, if that's preferable. 

Actually I will use the dh9 way for hardening stuff anyway. But I didn't
really intended to make an upload soon, so don't hold your breathe. Is
it urgent?

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Yves-Alexis Perez <corsac@debian.org>:
Bug#651223; Package gtk2-engines-murrine. (Wed, 07 Dec 2011 00:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Vagrant Cascadian" <vagrant@debian.org>:
Extra info received and forwarded to list. Copy sent to Yves-Alexis Perez <corsac@debian.org>. (Wed, 07 Dec 2011 00:18:03 GMT) Full text and rfc822 format available.

Message #15 received at 651223@bugs.debian.org (full text, mbox):

From: "Vagrant Cascadian" <vagrant@debian.org>
To: "Yves-Alexis Perez" <corsac@debian.org>
Cc: 651223@bugs.debian.org
Subject: Re: Bug#651223: gtk2-engines-murrine: add multiarch support
Date: Tue, 6 Dec 2011 16:15:42 -0800 (PST)
> On mar., 2011-12-06 at 12:46 -0800, Vagrant Cascadian wrote:
>> The following patch should add multiarch support. please consider
>> applying it.
>> i could add a slightly more complicated patch that doesn't require
>> switching to
>> dh9, if that's preferable.
>
> Actually I will use the dh9 way for hardening stuff anyway. But I didn't
> really intended to make an upload soon, so don't hold your breathe. Is
> it urgent?

it's not urgent at all. thanks for responding so quickly!

live well,
  vagrant





Information forwarded to debian-bugs-dist@lists.debian.org, Yves-Alexis Perez <corsac@debian.org>:
Bug#651223; Package gtk2-engines-murrine. (Sat, 17 Dec 2011 22:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to Yves-Alexis Perez <corsac@debian.org>. (Sat, 17 Dec 2011 22:27:04 GMT) Full text and rfc822 format available.

Message #20 received at 651223@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <651223@bugs.debian.org>
Subject: Re: gtk2-engines-murrine: add multiarch support
Date: Sat, 17 Dec 2011 14:24:14 -0800
[Message part 1 (text/plain, inline)]
Package: gtk2-engines-murrine
Version: 0.98.1.1-3
Followup-For: Bug #651223
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu precise ubuntu-patch

Hi Corsac,

Here's a slightly modified patch for this issue, which adds a versioned
runtime dependency on the version of libgtk2.0-0 that includes multiarch
support.

Still no urgency in Debian, but I'm pushing this patch to Ubuntu as part of
the obsoletion of ia32-libs there.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[gtk2-engines-murrine_0.98.1.1-3ubuntu1.debdiff (text/x-diff, attachment)]

Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Mon, 26 Mar 2012 15:21:11 GMT) Full text and rfc822 format available.

Notification sent to Vagrant Cascadian <vagrant@debian.org>:
Bug acknowledged by developer. (Mon, 26 Mar 2012 15:21:11 GMT) Full text and rfc822 format available.

Message #25 received at 651223-close@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 651223-close@bugs.debian.org
Subject: Bug#651223: fixed in gtk2-engines-murrine 0.98.1.1-4
Date: Mon, 26 Mar 2012 15:19:56 +0000
Source: gtk2-engines-murrine
Source-Version: 0.98.1.1-4

We believe that the bug you reported is fixed in the latest version of
gtk2-engines-murrine, which is due to be installed in the Debian FTP archive:

gtk2-engines-murrine_0.98.1.1-4.debian.tar.gz
  to main/g/gtk2-engines-murrine/gtk2-engines-murrine_0.98.1.1-4.debian.tar.gz
gtk2-engines-murrine_0.98.1.1-4.dsc
  to main/g/gtk2-engines-murrine/gtk2-engines-murrine_0.98.1.1-4.dsc
gtk2-engines-murrine_0.98.1.1-4_amd64.deb
  to main/g/gtk2-engines-murrine/gtk2-engines-murrine_0.98.1.1-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651223@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yves-Alexis Perez <corsac@debian.org> (supplier of updated gtk2-engines-murrine package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 25 Mar 2012 14:31:24 +0200
Source: gtk2-engines-murrine
Binary: gtk2-engines-murrine
Architecture: source amd64
Version: 0.98.1.1-4
Distribution: unstable
Urgency: low
Maintainer: Yves-Alexis Perez <corsac@debian.org>
Changed-By: Yves-Alexis Perez <corsac@debian.org>
Description: 
 gtk2-engines-murrine - cairo-based gtk+-2.0 theme engine
Closes: 651223 665547
Changes: 
 gtk2-engines-murrine (0.98.1.1-4) unstable; urgency=low
 .
   * debian/compat bumped to 9.
   * debian/rules:
     - use dpkg-dev and debhelper hardening support
   * debian/control:
     - bump debhelper build dep to 9.
     - add dpkg-dev build-dep.
     - remove build-dep on hardening-includes.
     - update standards version to 3.9.3.
     - add a runtime dependency on a multiarch gtk2.             closes: #651223
   * debian/patches:
     - 3_glib-single-include added, include glib.h instead of individual header
       files, fix FTBFS with glib >= 2.32.                       closes: #665547
Checksums-Sha1: 
 71bc0bafdfbf0a04c68dee00e74bcd0cc428d4f6 1865 gtk2-engines-murrine_0.98.1.1-4.dsc
 a843d7f3568d2ce2f73093b6ec3c0ea35a451b2c 3558 gtk2-engines-murrine_0.98.1.1-4.debian.tar.gz
 6a033901fb559cea3237525087e9f013061cd88f 106294 gtk2-engines-murrine_0.98.1.1-4_amd64.deb
Checksums-Sha256: 
 57f2e807d7397c3aae749d6e6bcd7b87fe1fc9f03b0dd3eea06bd8895663d18b 1865 gtk2-engines-murrine_0.98.1.1-4.dsc
 b724b82cd52ef61f82e62951d66802c1a9e60278582628b098d6795d51486563 3558 gtk2-engines-murrine_0.98.1.1-4.debian.tar.gz
 bee3d9d380b2c920005b18667093419132a8d1f73a6e06a7aa8f73ba948d4cd2 106294 gtk2-engines-murrine_0.98.1.1-4_amd64.deb
Files: 
 e4916c2606a065cec8ee716f445f949b 1865 x11 optional gtk2-engines-murrine_0.98.1.1-4.dsc
 3d0e07d77dc61716b48317272d0c8ff1 3558 x11 optional gtk2-engines-murrine_0.98.1.1-4.debian.tar.gz
 1b7549189a5cac1fce5a88154eece37a 106294 x11 optional gtk2-engines-murrine_0.98.1.1-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJPcHsPAAoJEDBVD3hx7wuoQbsP/RZ6f+aN2xUCEU2YJPUCk6T4
V+I3jUsHL0zzl7cnw2dvJqLhRPMvbhSx8zCaMrWVwvzXMooQX/qQjLG0DTrihWl1
d7koQR8jDXgM+C7AAsjH6sE1EyWsUgIAg0V9hLeClP6xf0hhr3jiuizjTSNn/al8
NLWD8YxzniEM59sq7I+pXMdjq8+dm72CkXQ+FJM5vSWkyZIoDVR0x8D8WXnaheqI
XQfniQ4BCqTGblU3Aq1E2BtLiRjnFhQTL8JsvCCrGQHPvLs6tlSi8HrKhElGo12o
Gqj2QUi6UyHDC1asnGj4lohMysN/NuSwYyRYnZMNoFhPsbSTDkSRA1x/V6ti3dAf
EB3RWQRO2/1fFJdL9rVtjyX3xNSX1C8quNb/YEBF/y2I23wd20PT/hJ7vNtesr5p
zqRHmabWjem4n5rR0ngFDGpuPYocs+w//nfm52Ryk+I9FowkkT27SBr7bMAt+Vto
ElqaBm0owVyOoavs4IBgxO+O6g7Zyprk6I9frvCGm8KRcrfHxfxPX7w6BXDuY3/Z
qbBOuTkJ0sCKo9U+2hDrcygoDFcjJeVSD3SO8/kdn7wBsIlF5TZjy8nGWBpVYhMj
9T0Lais96YTDI89V8BPwmXjf5/oTLpl7AnV0kP5t4Y7F1IReWyf+3Pt0+QXR/pB4
CFS4yzLCrowCq4KYtrEg
=EqJ1
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Yves-Alexis Perez <corsac@debian.org>:
Bug#651223; Package gtk2-engines-murrine. (Tue, 27 Mar 2012 16:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Colon <debian.micove@gmail.com>:
Extra info received and forwarded to list. Copy sent to Yves-Alexis Perez <corsac@debian.org>. (Tue, 27 Mar 2012 16:27:06 GMT) Full text and rfc822 format available.

Message #30 received at 651223@bugs.debian.org (full text, mbox):

From: Miguel Colon <debian.micove@gmail.com>
To: 651223@bugs.debian.org
Subject: Re: Bug#651223: gtk2-engines-murrine: add multiarch support
Date: Tue, 27 Mar 2012 12:25:25 -0400
reopen 651223 !

Hello:

It seems you forgot to add  "Multi-Arch: same" in the control file.
The rest seems fine.

Hope this helps,
Miguel




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#651223; Package gtk2-engines-murrine. (Tue, 27 Mar 2012 16:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. (Tue, 27 Mar 2012 16:39:06 GMT) Full text and rfc822 format available.

Message #35 received at 651223@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Miguel Colon <debian.micove@gmail.com>, 651223@bugs.debian.org
Subject: Re: Bug#651223: gtk2-engines-murrine: add multiarch support
Date: Tue, 27 Mar 2012 18:34:32 +0200
[Message part 1 (text/plain, inline)]
On mar., 2012-03-27 at 12:25 -0400, Miguel Colon wrote:
> reopen 651223 !
> 
> Hello:
> 
> It seems you forgot to add  "Multi-Arch: same" in the control file.
> The rest seems fine.
> 
> Hope this helps,
> Miguel
> 
> 

Good point, adding and re-uploading.
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Tue, 27 Mar 2012 18:36:08 GMT) Full text and rfc822 format available.

Notification sent to Vagrant Cascadian <vagrant@debian.org>:
Bug acknowledged by developer. (Tue, 27 Mar 2012 18:36:09 GMT) Full text and rfc822 format available.

Message #40 received at 651223-close@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 651223-close@bugs.debian.org
Subject: Bug#651223: fixed in gtk2-engines-murrine 0.98.1.1-5
Date: Tue, 27 Mar 2012 18:33:05 +0000
Source: gtk2-engines-murrine
Source-Version: 0.98.1.1-5

We believe that the bug you reported is fixed in the latest version of
gtk2-engines-murrine, which is due to be installed in the Debian FTP archive:

gtk2-engines-murrine_0.98.1.1-5.debian.tar.gz
  to main/g/gtk2-engines-murrine/gtk2-engines-murrine_0.98.1.1-5.debian.tar.gz
gtk2-engines-murrine_0.98.1.1-5.dsc
  to main/g/gtk2-engines-murrine/gtk2-engines-murrine_0.98.1.1-5.dsc
gtk2-engines-murrine_0.98.1.1-5_amd64.deb
  to main/g/gtk2-engines-murrine/gtk2-engines-murrine_0.98.1.1-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651223@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yves-Alexis Perez <corsac@debian.org> (supplier of updated gtk2-engines-murrine package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 27 Mar 2012 20:10:30 +0200
Source: gtk2-engines-murrine
Binary: gtk2-engines-murrine
Architecture: source amd64
Version: 0.98.1.1-5
Distribution: unstable
Urgency: low
Maintainer: Yves-Alexis Perez <corsac@debian.org>
Changed-By: Yves-Alexis Perez <corsac@debian.org>
Description: 
 gtk2-engines-murrine - cairo-based gtk+-2.0 theme engine
Closes: 651223
Changes: 
 gtk2-engines-murrine (0.98.1.1-5) unstable; urgency=low
 .
   * debian/control:
     - make the package Multi-Arch: same and add pre-depends on the right
       variable.                                        (really) closes: #651223
Checksums-Sha1: 
 e2341123c99e89f9e55feb21148369d0cba0f445 1865 gtk2-engines-murrine_0.98.1.1-5.dsc
 2978a511dc5eacf4b47f7cbf5bf401126748a3ff 3644 gtk2-engines-murrine_0.98.1.1-5.debian.tar.gz
 01c5a3eb077f5370c74ca18097587f203fc4d2ce 106406 gtk2-engines-murrine_0.98.1.1-5_amd64.deb
Checksums-Sha256: 
 8ce2281c612c722c1e01186a9fb726fa5ee7484d5880bb1f0a4171fee15a85ae 1865 gtk2-engines-murrine_0.98.1.1-5.dsc
 1464811f1edbb6e9996dabae29d25e975afc211f63f8bbb2025acfa029358eab 3644 gtk2-engines-murrine_0.98.1.1-5.debian.tar.gz
 fb07f45b2df1716e860e2f42ab749d49cf0b43834407f5c0ae1ddf8315fea5ba 106406 gtk2-engines-murrine_0.98.1.1-5_amd64.deb
Files: 
 1d2849e04c5bf41f85307c18d956abb7 1865 x11 optional gtk2-engines-murrine_0.98.1.1-5.dsc
 d319a44ae6914db4adf12433bd445863 3644 x11 optional gtk2-engines-murrine_0.98.1.1-5.debian.tar.gz
 0dcecffd490b1d1c7a85d2b8a2a59ebe 106406 x11 optional gtk2-engines-murrine_0.98.1.1-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJPcgNjAAoJEDBVD3hx7wuoVgIP/2P91nPzuqaxfPI7JnasHl4+
q4Heu9ltlaK/AJVBWltir6Yhnj5Wbcyq/r2KPhuedLzt9kS9FAUBykfStko3xpJi
LXAr+Mv1kj3wmjkD+gPnYDj50/vRqOE2tD5mxfl5Ofh9Zq5JqwG7iuo7WhaOXZ2O
aCJ9FMi4Q8RI9wz9x6bOL/t/E8BWMzI38wWdvjx9OwmVY80zqAGrhLuocAaoPCY1
YEpnpTVQj8VEwtmEitpd9NQGe0maDsaovVJt/XAkxovmgOAkE3N1iG6W0Bdve7kb
PALASwa7MdmacxFago4wSZh0aJfk5+9dSbxzDwpioRzEFTlPxIUk803P9VhsidD9
Px4JQ5RldoUxuqvgwEPnFs8U2YydXBlsNC0lYGQJ3g3EOVkziYePk6MSV6bCdAhO
fTTaKlWmxs2SgB9IJmnkWk0dJYIu77tgYNg9q9c963n7OVz4MWa2m/h5XzJP2ebj
0if9rrepLIOzz/PH+qXZw4TMTBMjekLiGDXCcntig+bbkZvE/AJzGRnPiDzgX1Tm
XJOsqfn06Qr1M/wINziNDWbZejVdWL1mLaYNP3mOCCUXOmItAhwNlKzDyPnm8CqD
ihjsbkl4QDO9dt+VYwnraSuFDFi8+gXeNaoDTNfr/bE/FjAKL9dBueL0CPL8cax9
Y2VYZeFnPStCXDkTV+OR
=4J8N
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 May 2012 07:37:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:25:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.